OpenCV: cv::MatCommaInitializer_< _Tp > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::MatCommaInitializer_< _Tp > Class Template Reference
Core functionality » Basic structures

Comma-separated Matrix Initializer. More...

`#include "mat.hpp"`

## Public Member Functions
| MatCommaInitializer_ (Mat_< _Tp > *_m)
| the constructor, created by "matrix << firstValue" operator, where matrix is cv::Mat More...
| operator Mat_< _Tp > () const
| another form of conversion operator More...
template<typename T2 >
MatCommaInitializer_< _Tp > & | operator, (T2 v)
| the operator that takes the next value and put it to the matrix More...

## Protected Attributes
MatIterator_< _Tp > | it

## Detailed Description

### template<typename _Tp>
class cv::MatCommaInitializer_< _Tp >

Comma-separated Matrix Initializer.

The class instances are usually not created explicitly. Instead, they are created on "matrix << firstValue" operator.

The sample below initializes 2x2 rotation matrix:

double angle = 30, a = cos(angle*CV_PI/180), b = sin(angle*CV_PI/180);
Mat R = (Mat_<double>(2,2) << a, -b, b, a);

## Constructor & Destructor Documentation

## ◆ MatCommaInitializer_()

template<typename _Tp>

cv::MatCommaInitializer_< _Tp >::MatCommaInitializer_ | ( | Mat_< _Tp > * | _m | ) |

the constructor, created by "matrix << firstValue" operator, where matrix is cv::Mat

## Member Function Documentation

## ◆ operator Mat_< _Tp >()

template<typename _Tp>

cv::MatCommaInitializer_< _Tp >::operator Mat_< _Tp > | ( |  | ) | const

another form of conversion operator

## ◆ operator,()

template<typename _Tp>
template<typename T2 >

MatCommaInitializer_<_Tp>& cv::MatCommaInitializer_< _Tp >::operator, | ( | T2 | v | ) |

the operator that takes the next value and put it to the matrix

## Member Data Documentation

## ◆ it

template<typename _Tp>

MatIterator_<_Tp> cv::MatCommaInitializer_< _Tp >::it
| protected

The documentation for this class was generated from the following file:

- core/include/opencv2/core/mat.hpp